<?php 

const DB_Name = "wardropes_usw";
const Table_Name_1 = "shirt";

$title = "Show tables: simple ".Table_Name_1." in: ".DB_Name; 

?>

<!DOCTYPE html>
<html> 
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8">
	<title> <?php echo $title; ?> </title> 
</head>
<STYLE TYPE="text/css">
	body th, td
	{
		font-family:Arial, sans-serif;
	}
</STYLE>
<body>
<?php

	echo '<b>'.$title.'</b>';
	require("functions.php");
	
	const showSQL = 1;

	// Verbindung zur Datenbank, sie liegt lokalauf dem Rechner, User ist root, Passwort ist nicht definiert, Name der Datenbank ist hier datenbank
	$conn = new mysqli( 'localhost', 'root','', DB_Name );

	if ($conn->connect_error) {
		printf("Verbindungsfehler: %s\n", $conn->connect_error);
		exit();
	}

	// Bei Umlauten ist der korrekte Zeichensatz dringend notwendig!
	$sql_r = $conn->query("SET NAMES 'utf8'");
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
		
	// die eigentliche Queries
	
	$sql = "SHOW TABLES LIKE '".Table_Name_1."'";
	$sql_r = $conn->query($sql); 
	if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	printTable($sql_r,$tab,$tabClose);
	
	$sql  = "DESCRIBE ".Table_Name_1;
	$sql_r = $conn->query($sql); 
	if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	printTable($sql_r,$tab,$tabClose);
	
	$sql  = "Show columns FROM ".Table_Name_1;
	$sql_r = $conn->query($sql); 
	if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	printTable($sql_r,$tab,$tabClose);

	$sql  = "SELECT DISTINCT i.TABLE_NAME, i.CONSTRAINT_NAME, k.COLUMN_NAME, i.CONSTRAINT_TYPE, k.REFERENCED_TABLE_NAME, k.REFERENCED_COLUMN_NAME \n"
	      . "FROM information_schema.TABLE_CONSTRAINTS AS I \n"
          . "LEFT JOIN information_schema.KEY_COLUMN_USAGE k ON (i.CONSTRAINT_NAME = k.CONSTRAINT_NAME AND i.TABLE_NAME = k.TABLE_NAME ) \n"
          . "WHERE i.CONSTRAINT_TYPE in ('PRIMARY KEY','FOREIGN KEY','UNIQUE') "
          . "AND i.TABLE_SCHEMA = '".DB_Name."' "
          . "AND i.TABLE_NAME = '".Table_Name_1."' \n"
		  . "
		  ORDER BY i.TABLE_NAME, i.CONSTRAINT_NAME, k.COLUMN_NAME ";
	$sql_r = $conn->query($sql); 
	if($sql_r === false) trigger_error(_ERROR_TEXT_1.nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	printTable($sql_r,$tab,$tabClose);

	
	// Die Verbindung zur Datenbank wird beendet	
	$conn->close();

?>

 </body>
</html>